## qt5-style-kvantum 0.10.6+repack

=== kvantummanager/CMakeLists.txt ===
find_package (Qt5Widgets REQUIRED)
find_package (Qt5Gui REQUIRED)
find_package (Qt5Core REQUIRED)
find_package (Qt5LinguistTools QUIET)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                    ${Qt5Gui_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
#get_filename_component(PARENT_DIR ${CMAKE_SOURCE_DIR} DIRECTORY)

set(KM_SOURCES
    main.cpp
    KvantumManager.cpp)

#set(KM_UI kvantummanager.ui)

set(KM_RESOURCES kvantummanager.qrc)

set(DESKTOP_FILE data/kvantummanager.desktop)

#qt5_wrap_ui(KM_UIS_H ${KM_UI})
if (CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
  qt5_wrap_cpp(COMBO_HEADER combobox.h) # needed by "kvantummanager.ui"
else()
  set(COMBO_HEADER combobox.h)
endif()

# Translations
if(Qt5LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/kvantummanager_*.ts)
  qt5_add_translation(QM_FILES ${TS_FILES})
  add_executable(kvantummanager ${COMBO_HEADER} ${KM_SOURCES} ${KM_RESOURCES} ${DESKTOP_FILE} ${QM_FILES})
  install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/kvantummanager/translations")
else(Qt5LinguistTools_FOUND)
  add_executable(kvantummanager ${COMBO_HEADER} ${KM_SOURCES} ${KM_RESOURCES} ${DESKTOP_FILE})
endif(Qt5LinguistTools_FOUND)


target_link_libraries(kvantummanager Qt5::Widgets Qt5::Core Qt5::Gui)

install(TARGETS kvantummanager RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
install(FILES ${CMAKE_SOURCE_DIR}/kvantumpreview/data/kvantum.svg DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")

=== style/CMakeLists.txt ===
if(NOT ENABLE_QT4)
  find_package (Qt5Widgets REQUIRED)
  find_package (Qt5Gui REQUIRED)
  find_package (Qt5Core REQUIRED)
  find_package (Qt5Svg REQUIRED)
  find_package (Qt5X11Extras REQUIRED)
else()
  find_package(Qt4 4.8.7 REQUIRED)

  include(${QT_USE_FILE})
  add_definitions(${QT_DEFINITIONS})
endif()
find_package (X11)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

#if (NOT QT_CMAKE_PREFIX_PATH)
#set(QT_CMAKE_PREFIX_PATH $ENV{QT_CMAKE_PREFIX_PATH})
#endif ()
#set(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${QT_CMAKE_PREFIX_PATH})
#set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

if(NOT ENABLE_QT4)
  get_target_property(REAL_QMAKE_EXECUTABLE ${Qt5Core_QMAKE_EXECUTABLE}
                      IMPORTED_LOCATION)
  execute_process(COMMAND "${REAL_QMAKE_EXECUTABLE}" -query QT_INSTALL_PLUGINS
                  OUTPUT_VARIABLE _Qt5_PLUGIN_INSTALL_DIR
                  ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  set(KVANTUM_STYLE_DIR "${_Qt5_PLUGIN_INSTALL_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS} ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5X11Extras_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
else()
  set(KVANTUM_STYLE_DIR "${QT_PLUGINS_DIR}/styles/")

  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${QT_INCLUDE_DIR} ${QT_QTSVG_INCLUDE_DIR}
                      ${X11_INCLUDE_DIR})
endif()

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

if(NOT ENABLE_QT4)
  set(kvantum_SOURCES
      Kvantum.cpp
      KvantumPlugin.cpp
      shortcuthandler.cpp
      blur/blurhelper.cpp
      drag/windowmanager.cpp
      drag/x11wmmove.cpp
      themeconfig/ThemeConfig.cpp
      animation/animation.cpp)
else()
  set(kvantum_SOURCES
      qt4/Kvantum4.cpp
      qt4/KvantumPlugin4.cpp
      shortcuthandler.cpp
      qt4/blurhelper4.cpp
      qt4/windowmanager4.cpp
      qt4/x11wmmove4.cpp
      themeconfig/ThemeConfig.cpp)
endif()

set(kvantum_RESOURCES themeconfig/defaulttheme.qrc)

add_library(kvantum SHARED ${kvantum_SOURCES} ${kvantum_RESOURCES})

if(NOT ENABLE_QT4)
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")
else()
  set(KDE_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/kde4/apps/color-schemes/")
endif()

if(NOT ENABLE_QT4)
 target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
                               ${Qt5Gui_LIBRARIES}
                               ${Qt5Widgets_LIBRARIES}
                               ${Qt5Svg_LIBRARIES}
                               ${Qt5X11Extras_LIBRARIES}
                               ${X11_LIBRARIES})
else()
 target_link_libraries(kvantum ${QT_QTCORE_LIBRARY}
                               ${QT_QTGUI_LIBRARY}
                               ${QT_QTSVG_LIBRARY}
                               ${X11_LIBRARIES})
endif()

install(TARGETS kvantum LIBRARY DESTINATION ${KVANTUM_STYLE_DIR})
install(FILES "${CMAKE_SOURCE_DIR}/color/Kvantum.colors" DESTINATION ${KDE_COLOR_DIR})

=== themes/CMakeLists.txt ===
set(KVANTUM_THEME_DIR "${CMAKE_INSTALL_PREFIX}/share/Kvantum/")
set(COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/kde4/apps/color-schemes/")
set(KF5_COLOR_DIR "${CMAKE_INSTALL_PREFIX}/share/color-schemes/")
set(OPENBOX_DIR "${CMAKE_INSTALL_PREFIX}/share/themes/")

# CMAKE_CURRENT_LIST_DIR can be used too. The trailing slash means the contents.
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/kvthemes/" DESTINATION ${KVANTUM_THEME_DIR})
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/colors/" DESTINATION ${COLOR_DIR})
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/colors/" DESTINATION ${KF5_COLOR_DIR})
install(DIRECTORY "${CMAKE_SOURCE_DIR}/themes/openbox/" DESTINATION ${OPENBOX_DIR})

=== debian/changelog ===
qt5-style-kvantum (0.10.6+repack-1) unstable; urgency=medium

  * Initial release (Closes: #889075)

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Jul 2018 01:26:36 +0200

=== debian/control ===
Source: qt5-style-kvantum
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Franciscarlos Soares <prof.franciscarlos@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               libx11-dev,
               libxext-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
Homepage: https://github.com/tsujan/Kvantum

Package: qt5-style-kvantum
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qt5-style-kvantum-themes | qt5-style-kvantum-theme
Recommends: qt5-style-kvantum-l10n
Description: Kvantum style engine (binaries)
 Kvantum
 .
 This package contain the application files.


Package: qt5-style-kvantum-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qttranslations5-l10n
Description: Kvantum style engine (localization)
 Kvantum
 .
 This package contain the localization files.


Package: qt5-style-kvantum-themes
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: qt5-style-kvantum-theme
Description: Kvantum style engine (themes)
 Kvantum
 .
 This package contain the theme files.

## qt5-style-kvantum 0.10.9+repack

=== kvantummanager/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 find_package (Qt5Widgets REQUIRED)
 find_package (Qt5Gui REQUIRED)
 find_package (Qt5Core REQUIRED)
+find_package (Qt5Svg REQUIRED)
 find_package (Qt5LinguistTools QUIET)
 
 set(CMAKE_AUTOMOC ON)
@@ -10,14 +11,16 @@
 
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                     ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
-                    ${Qt5Gui_INCLUDE_DIRS})
+                    ${Qt5Gui_INCLUDE_DIRS} ${Qt5Svg_INCLUDE_DIRS})
 
 add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
 #get_filename_component(PARENT_DIR ${CMAKE_SOURCE_DIR} DIRECTORY)
 
 set(KM_SOURCES
     main.cpp
-    KvantumManager.cpp)
+    KvantumManager.cpp
+    KvCommand.cpp
+    svgicons.cpp)
 
 #set(KM_UI kvantummanager.ui)
 
@@ -43,7 +46,7 @@
 endif(Qt5LinguistTools_FOUND)
 
 
-target_link_libraries(kvantummanager Qt5::Widgets Qt5::Core Qt5::Gui)
+target_link_libraries(kvantummanager Qt5::Widgets Qt5::Core Qt5::Gui Qt5::Svg)
 
 install(TARGETS kvantummanager RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== kvantumpreview/CMakeLists.txt ===
find_package (Qt5Widgets REQUIRED)
find_package (Qt5Gui REQUIRED)
find_package (Qt5Core REQUIRED)
find_package (Qt5LinguistTools QUIET)

set(CMAKE_AUTOMOC ON)
#set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                    ${Qt5Core_INCLUDE_DIRS} ${Qt5Widgets_INCLUDE_DIRS}
                    ${Qt5Gui_INCLUDE_DIRS})

add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")

set(KP_SOURCES main.cpp)
set(KP_UI KvantumPreviewBase.ui)
set(KP_RESOURCES KvantumPreviewResources.qrc)

qt5_wrap_ui(KP_UIS_H ${KP_UI})
if (CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
  qt5_wrap_cpp(KP_HEADER KvantumPreview.h) # needed by "main.cpp"
else()
  set(KP_HEADER KvantumPreview.h)
endif()

# Translations
if(Qt5LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/kvantumpreview_*.ts)
  qt5_add_translation(QM_FILES ${TS_FILES})
  add_executable(kvantumpreview ${KP_SOURCES} ${KP_HEADER} ${KP_RESOURCES} ${KP_UI} ${DESKTOP_FILE} ${QM_FILES})
  install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/kvantumpreview/translations")
else(Qt5LinguistTools_FOUND)
  add_executable(kvantumpreview ${KP_SOURCES} ${KP_HEADER} ${KP_RESOURCES} ${KP_UI} ${DESKTOP_FILE})
endif(Qt5LinguistTools_FOUND)

target_link_libraries(kvantumpreview Qt5::Widgets Qt5::Core Qt5::Gui)

install(TARGETS kvantumpreview RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,9 @@
   find_package (Qt5Core REQUIRED)
   find_package (Qt5Svg REQUIRED)
   find_package (Qt5X11Extras REQUIRED)
+  if((Qt5Widgets_VERSION GREATER 5.11.0) OR (Qt5Widgets_VERSION EQUAL 5.11.0))
+    find_package(KF5WindowSystem REQUIRED)
+  endif()
 else()
   find_package(Qt4 4.8.7 REQUIRED)
 
@@ -48,6 +51,10 @@
 if(NOT ENABLE_QT4)
   set(kvantum_SOURCES
       Kvantum.cpp
+      eventFiltering.cpp
+      polishing.cpp
+      rendering.cpp
+      standardIcons.cpp
       KvantumPlugin.cpp
       shortcuthandler.cpp
       blur/blurhelper.cpp
@@ -77,17 +84,27 @@
 endif()
 
 if(NOT ENABLE_QT4)
- target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
-                               ${Qt5Gui_LIBRARIES}
-                               ${Qt5Widgets_LIBRARIES}
-                               ${Qt5Svg_LIBRARIES}
-                               ${Qt5X11Extras_LIBRARIES}
-                               ${X11_LIBRARIES})
+  if((Qt5Widgets_VERSION GREATER 5.11.0) OR (Qt5Widgets_VERSION EQUAL 5.11.0))
+    target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
+                                  ${Qt5Gui_LIBRARIES}
+                                  ${Qt5Widgets_LIBRARIES}
+                                  ${Qt5Svg_LIBRARIES}
+                                  ${Qt5X11Extras_LIBRARIES}
+                                  ${X11_LIBRARIES}
+                                  KF5::WindowSystem)
+  else()
+    target_link_libraries(kvantum ${Qt5Core_LIBRARIES}
+                                  ${Qt5Gui_LIBRARIES}
+                                  ${Qt5Widgets_LIBRARIES}
+                                  ${Qt5Svg_LIBRARIES}
+                                  ${Qt5X11Extras_LIBRARIES}
+                                  ${X11_LIBRARIES})
+  endif()
 else()
- target_link_libraries(kvantum ${QT_QTCORE_LIBRARY}
-                               ${QT_QTGUI_LIBRARY}
-                               ${QT_QTSVG_LIBRARY}
-                               ${X11_LIBRARIES})
+  target_link_libraries(kvantum ${QT_QTCORE_LIBRARY}
+                                ${QT_QTGUI_LIBRARY}
+                                ${QT_QTSVG_LIBRARY}
+                                ${X11_LIBRARIES})
 endif()
 
 install(TARGETS kvantum LIBRARY DESTINATION ${KVANTUM_STYLE_DIR})

=== debian/changelog ===
qt5-style-kvantum (0.10.9+repack-2+rb2) UNRELEASED; urgency=medium

  * update

 -- LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>  Fri, 22 Jan 2021 12:14:40 +0800

qt5-style-kvantum (0.10.9+repack-2) unstable; urgency=medium

  * Removed Franciscarlos Santos Soares <prof.franciscarlos@gmail.com> from
    Uploaders

 -- Alf Gaida <agaida@siduction.org>  Mon, 11 Feb 2019 01:32:37 +0100

qt5-style-kvantum (0.10.9+repack-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.10.9.
  * Replaced debhelper and compat with debhelper-compat (= 12)
  * Bumped standards to 4.3.0
  * Bumped copyright years.
  * Added build dependency libkf5windowsystem-dev

 -- Alf Gaida <agaida@siduction.org>  Wed, 06 Feb 2019 01:25:38 +0100

qt5-style-kvantum (0.10.8+repack-1) unstable; urgency=medium

  * Initial release (Closes: #889075)

 -- Alf Gaida <agaida@siduction.org>  Sat, 25 Aug 2018 14:49:31 +0200

=== debian/control ===
Source: qt5-style-kvantum
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               libkf5windowsystem-dev,
               libx11-dev,
               libxext-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
Homepage: https://github.com/tsujan/Kvantum

Package: qt5-style-kvantum
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qt5-style-kvantum-themes | qt5-style-kvantum-theme
Recommends: qt5-style-kvantum-l10n
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.


Package: qt5-style-kvantum-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qttranslations5-l10n
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.


Package: qt5-style-kvantum-themes
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: qt5-style-kvantum-theme
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.

## qt5-style-kvantum 0.11.1+repack

=== debian/changelog ===
qt5-style-kvantum (0.11.1+repack-2) unstable; urgency=medium

  * Switched to unstable - freeze is over.
  * Bumped standards to 4.4.0, no changes needed.
  * Added a .gitignore file 

 -- Alf Gaida <agaida@siduction.org>  Wed, 10 Jul 2019 23:10:06 +0200

qt5-style-kvantum (0.11.1+repack-1) experimental; urgency=medium

  * Cherry-picked new upstream version 0.11.1.

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 May 2019 01:35:58 +0200

qt5-style-kvantum (0.11.0+repack-1) experimental; urgency=medium

  * Cherry-picked new upstream version 0.11.0.
  * Marked qt5-style-kvantum-themes Multi-Arch: foreign
  * Switched to experimental

 -- Alf Gaida <agaida@siduction.org>  Wed, 01 May 2019 01:11:39 +0200

=== debian/control ===
--- 
+++ 
@@ -46,6 +46,7 @@
 
 Package: qt5-style-kvantum-themes
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Provides: qt5-style-kvantum-theme

## qt5-style-kvantum 0.11.2+repack

=== debian/changelog ===
qt5-style-kvantum (0.11.2+repack-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.11.2.
  * Really bumped standards to 4.4.0, no changes needed.

 -- Alf Gaida <agaida@siduction.org>  Fri, 16 Aug 2019 19:40:57 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libqt5x11extras5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
 Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
 Homepage: https://github.com/tsujan/Kvantum

## qt5-style-kvantum 0.14.1+repack

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
+set(QT_MINIMUM_VERSION "5.9.0")
+
 if(NOT ENABLE_QT4)
-  find_package (Qt5Widgets REQUIRED)
-  find_package (Qt5Gui REQUIRED)
-  find_package (Qt5Core REQUIRED)
-  find_package (Qt5Svg REQUIRED)
-  find_package (Qt5X11Extras REQUIRED)
+  find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5Widgets REQUIRED)
+  find_package(Qt5Gui REQUIRED)
+  find_package(Qt5Svg REQUIRED)
+  find_package(Qt5X11Extras REQUIRED)
   if((Qt5Widgets_VERSION GREATER 5.11.0) OR (Qt5Widgets_VERSION EQUAL 5.11.0))
     find_package(KF5WindowSystem REQUIRED)
   endif()
@@ -13,7 +15,7 @@
   include(${QT_USE_FILE})
   add_definitions(${QT_DEFINITIONS})
 endif()
-find_package (X11)
+find_package(X11)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)

=== debian/changelog ===
qt5-style-kvantum (0.14.1+repack-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:39 +0100

qt5-style-kvantum (0.14.1+repack-1) unstable; urgency=medium

  * New upstream version 0.14.1+repack

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 Jan 2020 15:12:47 +0100

qt5-style-kvantum (0.14.0+repack-1) unstable; urgency=medium

  * New upstream version 0.14.0+repack

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Jan 2020 17:56:19 +0100

qt5-style-kvantum (0.12.1+repack-1) unstable; urgency=medium

  * New upstream version 0.12.1.
  * Switched to gbp
  * Bumped standards to 4.4.1, no changes needed.
  * Added .gitignore

 -- Alf Gaida <agaida@siduction.org>  Sun, 05 Jan 2020 17:55:13 +0100

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                libqt5x11extras5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Homepage: https://github.com/tsujan/Kvantum
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
 Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
-Homepage: https://github.com/tsujan/Kvantum
 
 Package: qt5-style-kvantum
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_missing:
	dh_missing --fail-missing

## qt5-style-kvantum 0.15.3+repack

=== debian/changelog ===
qt5-style-kvantum (0.15.3+repack-0.1~mx19+1) mx; urgency=medium

  * New upstream release: (accumulated changes since 14.1)
    - Better calculations for progressbars.
    - Aligned a menu-item's text with others' if its icon isn't null but its
      pixmap is.
    - Added a workaround for a small issue in the toolbar timer of
      Audacious 4.0.
    - Removed old stuff from installation.
    - Considered the cursor position when compensating for menu shadows.
    - Covered RTL in QCommandLinkButton (although Qt doesn't).
    - Fixed a crash in Kleopatra's settings dialog.
    - Added some dialog button icons for Qt ≥ 5.14.
    - Added an option (to Kvantum Manager) for horizontally centered forms.
    - Handled the device pixel ratio more locally — because, apparently, Wayland
      can give different pixel ratios to different screens.
    - Added KvMojaveMixed, a version of KvMojaveLight with dark menubar and
      primary toolbar.
    - Added a workaround for codes that change a line-edit's base color (like
      in Kate and Konsole).
    - Don't set WA_NoSystemBackground with hard-coded translucency. This solves
      the problem of Konsole's transparent menubar with some translucent themes.
    - Milder gradient for menus of the default theme.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 22 Jun 2020 01:51:04 -0700

qt5-style-kvantum (0.14.1+repack-1~mx19+1) mx; urgency=medium

  * New upstream release: build for MX Linux:
    - Enforced contrast between symbolic (SVG) clear icon and background of
      toolbar lineedits in dark-and-light themes. (with Qt ≥ 5.12)
    - Considered the size of lineedit clear icons to be PM_SmallIconSize. (with
      Qt ≥ 5.12)
    - Correct symbolic icon colors are guaranteed for combos inside toolbars.
    - No extra heights for combo menus.
    - Allow custom elements for focus rectangles of some widgets.
    - Removed the redundant key no_focus_rect.
    - Safeguards against a badly edited kvconfig file.
    - Handled PlaceholderText with Qt ≥ 5.12.
    - Added a (temporary) workaround for the text rendering bug of Qt 5.14.0.
    - When calculating the tab size, consider the actual tab icon size (which may
      rarely be different from PM_TabBarIconSize).
    - Ensure correct menu blurring if the compositor kicks in with a short delay.
    - Allow elided texts in task buttons of LXQt Panel.
    - Prevent menus from switching screen with multi-screen setups.
    - Don't add an arrow to a tool button with instant popup.
    - Fixed an old problem in toolbars of dark-and-light themes.
    - A key is added for the thickness of toolbar separators.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Mar 2020 16:44:21 -0800

qt5-style-kvantum (0.12.1+repack-0.1~mx19+1) mx; urgency=medium

  * New upstream release: build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Oct 2019 20:29:00 -0700

qt5-style-kvantum (0.11.2+repack-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * Rework rules file to build and install Qt 4 plugins also.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Jul 2019 17:29:51 -0700

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: qt5-style-kvantum
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: x11
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               cmake,
                libkf5windowsystem-dev,
                libx11-dev,
                libxext-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
-Standards-Version: 4.4.1
-Homepage: https://github.com/tsujan/Kvantum
+               libqt4-dev,
+               libqt5svg5-dev (>= 5.9.0),
+               libqt5x11extras5-dev (>= 5.9.0),
+               qttools5-dev (>= 5.9.0),
+               qttools5-dev-tools (>= 5.9.0),
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
 Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
+Homepage: https://github.com/tsujan/Kvantum
 
 Package: qt5-style-kvantum
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         qt5-style-kvantum-themes | qt5-style-kvantum-theme
-Recommends: qt5-style-kvantum-l10n
+         qt5-style-kvantum-themes | qt5-style-kvantum-theme,
+         qt5-style-kvantum-l10n
 Description: Kvantum style engine (binaries)
  Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
  emphasis on elegance, usability and practicality.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_auto_clean:
	dh_auto_clean
	rm -rf temp

# Build the qt4 plugins and save in a temp folder
override_dh_auto_configure:
	qmake-qt4 kvantum.pro

override_dh_auto_build:
	dh_auto_build
	mkdir -p temp
	cp style/*.so temp
	
# clean up and build Qt 5 binaries
	make distclean
	/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmake kvantum.pro
	dh_auto_build

# install the qt4 style plugin from /temp
override_dh_auto_install:
	mkdir -p debian/qt5-style-kvantum/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles
	install -m 644 temp/*.so debian/qt5-style-kvantum/usr/lib/$(DEB_HOST_MULTIARCH)/qt4/plugins/styles
	dh_auto_install

override_dh_dwz:

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh ${@}

## qt5-style-kvantum 0.17.0+repack

=== debian/changelog ===
qt5-style-kvantum (0.17.0+repack-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
   - Now take care of widgets without interior SVG elements on a menu that has a
     high contrast with the window (a possible scenario that hasn't happened
     with any theme so far).
   - A workaround for a rare problem in QWidgetAction when menus have a high
     contrast with windows.
   - Fixed the text color of thin progressbars inside stylable toolbars of
     dark-and-light themes.
   - More accurate calculation of spinbox width under special circumstances.
   - Distinguish popup indicators from other button indicators on mouseover.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 27 Nov 2020 07:19:53 -0800

qt5-style-kvantum (0.16.1+repack-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Consider a toolbar stylable if it contains a tabbar that isn't inside the
      same window.
    - Be more explicit about the color group when getting colors from the
      standard palette.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 19 Aug 2020 10:27:31 -0700

qt5-style-kvantum (0.16.0+repack-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
   - Set the scroll indicator size of tabs to that of toolbar buttons.
   - Fixed a rare issue in the frame size of grouped elements.
   - Added an option to Kvantum Manager for enabling window translucency with
     non-integer scale factors after showing a warning.
   - A workaround for a rare case of Qt's contradicting QStyle in drawing
     spin boxes.
   - Fixed the height of combo menu separators.
   - Reset widget palettes on changing style from and to Kvantum. This fixes
     several problems with on-the-fly style changes, so that an app restart
     won't be needed in most cases.
   - Updated the code for Qt 5.15.
   - Added a workaround for a regression in Qt 5.15, which results in
     QStyleOptionTab reporting an incorrect tab position.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Jul 2020 11:24:58 -0700

=== debian/control ===
Source: qt5-style-kvantum
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               libqt4-dev,
               libqt5svg5-dev (>= 5.9.0),
               libqt5x11extras5-dev (>= 5.9.0),
               libx11-dev,
               libxext-dev,
               qttools5-dev (>= 5.9.0),
               qttools5-dev-tools (>= 5.9.0)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
Homepage: https://github.com/tsujan/Kvantum

Package: qt5-style-kvantum
Architecture: any
Depends: qt5-style-kvantum-l10n,
         qt5-style-kvantum-themes | qt5-style-kvantum-theme,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.

Package: qt5-style-kvantum-l10n
Architecture: all
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}, ${shlibs:Depends}
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.

Package: qt5-style-kvantum-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: qt5-style-kvantum-theme
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.

## qt5-style-kvantum 0.18.0+repack

=== kvantummanager/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
+set(QT_MINIMUM_VERSION "5.9.0")
+
+find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package (Qt5Widgets REQUIRED)
 find_package (Qt5Gui REQUIRED)
-find_package (Qt5Core REQUIRED)
 find_package (Qt5Svg REQUIRED)
 find_package (Qt5LinguistTools QUIET)

=== kvantumpreview/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,8 @@
+set(QT_MINIMUM_VERSION "5.9.0")
+
+find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package (Qt5Widgets REQUIRED)
 find_package (Qt5Gui REQUIRED)
-find_package (Qt5Core REQUIRED)
 find_package (Qt5LinguistTools QUIET)
 
 set(CMAKE_AUTOMOC ON)

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -51,19 +51,34 @@
 add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
 
 if(NOT ENABLE_QT4)
-  set(kvantum_SOURCES
-      Kvantum.cpp
-      eventFiltering.cpp
-      polishing.cpp
-      rendering.cpp
-      standardIcons.cpp
-      KvantumPlugin.cpp
-      shortcuthandler.cpp
-      blur/blurhelper.cpp
-      drag/windowmanager.cpp
-      drag/x11wmmove.cpp
-      themeconfig/ThemeConfig.cpp
-      animation/animation.cpp)
+  if((Qt5Widgets_VERSION GREATER 5.15.0) OR (Qt5Widgets_VERSION EQUAL 5.15.0))
+    set(kvantum_SOURCES
+        Kvantum.cpp
+        eventFiltering.cpp
+        polishing.cpp
+        rendering.cpp
+        standardIcons.cpp
+        KvantumPlugin.cpp
+        shortcuthandler.cpp
+        blur/blurhelper.cpp
+        drag/windowmanager.cpp
+        themeconfig/ThemeConfig.cpp
+        animation/animation.cpp)
+  else()
+    set(kvantum_SOURCES
+        Kvantum.cpp
+        eventFiltering.cpp
+        polishing.cpp
+        rendering.cpp
+        standardIcons.cpp
+        KvantumPlugin.cpp
+        shortcuthandler.cpp
+        blur/blurhelper.cpp
+        drag/windowmanager-old.cpp
+        drag/x11wmmove.cpp
+        themeconfig/ThemeConfig.cpp
+        animation/animation.cpp)
+  endif()
 else()
   set(kvantum_SOURCES
       qt4/Kvantum4.cpp

=== debian/changelog ===
qt5-style-kvantum (0.18.0+repack-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.18.0+repack
  * debian/copyright: Update copyright date
  * debian/control:
    - Use debhelper 13
    - Bump Standards-Version to 4.5.1
  * debian/qt5-style-kvantum-themes.install: Remove kde4 app colorscheme

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 07 Jan 2021 22:46:45 +0800

=== debian/control ===
Source: qt5-style-kvantum
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libkf5windowsystem-dev,
               libx11-dev,
               libxext-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.5.1
Homepage: https://github.com/tsujan/Kvantum
Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git

Package: qt5-style-kvantum
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qt5-style-kvantum-themes | qt5-style-kvantum-theme
Recommends: qt5-style-kvantum-l10n
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.


Package: qt5-style-kvantum-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qttranslations5-l10n
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.


Package: qt5-style-kvantum-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: qt5-style-kvantum-theme
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack// \
https://github.com/tsujan/Kvantum/tags .*/V?(\d\S+)\.tar\.gz \
debian debian/repack.sh

## qt5-style-kvantum 0.19.0+repack

=== debian/changelog ===
qt5-style-kvantum (0.19.0+repack-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
    - Allow dragging from some disabled widgets.
    - Added an option (to Kvantum Manager) for setting the toolbar icon size to
      the font height if possible.
    - Don't style vertical toolbars because, otherwise, they might look ugly.
    - Always check if the drag manager is deleted after it sends mouse events
      (to prevent any crash).
    - Increased the drag distance and delay when dragging is done from buttons.
    - Try to do less calculations to get widget sizes by not consulting
      QCommonStyle as far as possible.
    - Draw view-items independently of QCommonStyle to apply all size settings correctly.
    - Always reserve the vertical space for a single-line text in view-items. QCommonStyle is inconsistent in this regard and may create a tiny item editor when the text is empty. Qt doesn't give enough info to QStyle for knowing whether the editor is active.
    - Ignore a view-item's custom brush when it's selected (as QCommonStyle does).
    - Cleaned up the code of transient scrollbar animation (and fixed a rare case, where a transient scrollbar might not disappear after app startup — as in kcharselect).
    - Fixed a small problem in (Krita's) KisSliderSpinBox.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Mar 2021 15:21:28 -0700

qt5-style-kvantum (0.18.0+repack-0.1~mx19+1) mx; urgency=medium

  * New upstream release:
   - Use PE_FrameStatusBarItem with Qt ≥ 5.13.0 and return from it.
   - Made toolbars unmovable by default.
   - Added some effects to the labels of Kvantum Manager's About dialog.
   - Don't let the width of a push button that has text be smaller than 80px
     (although the minimum width may be greater because it depends on the font).
   - Replace text tabs with spaces when calculating label sizes (because text
     tabs aren't expanded when labels are drawn).
   - Always draw the tab text in a single line.
   - Horizontally smaller menus when they have accelerators.
   - Respect the key "no_inactiveness" with all widgets.
   - Get tooltip shadow dimensions only once if compositing is available.
   - Draw the icon of the menubar item instead of its text if it's given.
   - Fixed the field growth policy of centered form layouts.
   - A better window dragging code (x11drag) with Qt ≥ 5.15, that works under
     X11 and Wayland alike by calling the window manager.
   - Added an option (to Kvantum Manager) for dragging windows from buttons.
   - Considered a rare case of window type change for window translucency and
     dragging.
   - Removed the scroll jump workaround. It interfered with animations and
     cluttered the code to partially compensate for Qt's scroll jumps that
      appeared with mouse gestures.

  * Update d/copyright to 2021.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 20 Jan 2021 12:04:52 -0800

## qt5-style-kvantum 0.20.1+repack

=== CMakeLists.txt ===
project(kvantum)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_BUILD_TYPE Release)
add_definitions (-Wall)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX "/usr")
endif()

option(ENABLE_QT4 "Building Qt4 plugin." OFF)

add_subdirectory(style)
if(NOT ENABLE_QT4)
  add_subdirectory(kvantumpreview)
  add_subdirectory(kvantummanager)
  add_subdirectory(themes)
endif()

=== kvantummanager/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(QT_MINIMUM_VERSION "5.9.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package (Qt5Widgets REQUIRED)

=== kvantumpreview/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(QT_MINIMUM_VERSION "5.9.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package (Qt5Widgets REQUIRED)

=== style/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(QT_MINIMUM_VERSION "5.9.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 if(NOT ENABLE_QT4)
   find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
@@ -6,9 +6,7 @@
   find_package(Qt5Gui REQUIRED)
   find_package(Qt5Svg REQUIRED)
   find_package(Qt5X11Extras REQUIRED)
-  if((Qt5Widgets_VERSION GREATER 5.11.0) OR (Qt5Widgets_VERSION EQUAL 5.11.0))
-    find_package(KF5WindowSystem REQUIRED)
-  endif()
+  find_package(KF5WindowSystem REQUIRED)
 else()
   find_package(Qt4 4.8.7 REQUIRED)
 
@@ -58,6 +56,7 @@
         polishing.cpp
         rendering.cpp
         standardIcons.cpp
+        viewItems.cpp
         KvantumPlugin.cpp
         shortcuthandler.cpp
         blur/blurhelper.cpp
@@ -71,11 +70,11 @@
         polishing.cpp
         rendering.cpp
         standardIcons.cpp
+        viewItems.cpp
         KvantumPlugin.cpp
         shortcuthandler.cpp
         blur/blurhelper.cpp
         drag/windowmanager-old.cpp
-        drag/x11wmmove.cpp
         themeconfig/ThemeConfig.cpp
         animation/animation.cpp)
   endif()
@@ -83,11 +82,11 @@
   set(kvantum_SOURCES
       qt4/Kvantum4.cpp
       qt4/KvantumPlugin4.cpp
-      shortcuthandler.cpp
+      qt4/shortcuthandler4.cpp
       qt4/blurhelper4.cpp
       qt4/windowmanager4.cpp
       qt4/x11wmmove4.cpp
-      themeconfig/ThemeConfig.cpp)
+      qt4/ThemeConfig4.cpp)
 endif()
 
 set(kvantum_RESOURCES themeconfig/defaulttheme.qrc)

=== debian/changelog ===
qt5-style-kvantum (0.20.1+repack-0.1~mx21+1) mx; urgency=medium

  * Import new 0.20.1 release:
    - Blacklisted QQuickWidget with window dragging.
    - Made the workaround for bad hard-coded styles of line-edits less strict.
    - Fixed drawing of view-items with right-aligned decorations.
    - Added an option for always centering normal tabs (in contrast to the
      document mode).
    - Added an option (to Kvantum Manager) for styling vertical toolbars.
    - Fixed a small problem in tab overlapping.
    - Don't allow kinetic scrolling inside subwindows.
    - Used version check for KWindowSystem because of method deprecations.
    - Dropped support for Qt5 < 5.12.
  * d/control: Minver of Qt is now 5.12. Qt 4 has been dropped in Bullseye, so
    don't build that plugin.
  * d/control: add cmake to BDs and build with that.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 05 Sep 2021 17:27:16 -0700

=== debian/control ===
Source: qt5-style-kvantum
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake, 
               libkf5windowsystem-dev,
               libqt5svg5-dev (>= 5.12.0),
               libqt5x11extras5-dev (>= 5.12.0),
               libx11-dev,
               libxext-dev,
               qttools5-dev (>= 5.12.0),
               qttools5-dev-tools (>= 5.12.0)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/qt5-style-kvantum
Vcs-Git: https://salsa.debian.org/lxqt-team/qt5-style-kvantum.git
Homepage: https://github.com/tsujan/Kvantum

Package: qt5-style-kvantum
Architecture: any
Depends: qt5-style-kvantum-l10n,
         qt5-style-kvantum-themes | qt5-style-kvantum-theme,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Kvantum style engine (binaries)
 Kvantum is an SVG-based theme engine for Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the application files.

Package: qt5-style-kvantum-l10n
Architecture: all
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}, ${shlibs:Depends}
Description: Kvantum style engine (localization)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the localization files.

Package: qt5-style-kvantum-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: qt5-style-kvantum-theme
Description: Kvantum style engine (themes)
 Kvantum is an SVG-based theme engine for Qt4/Qt5, KDE and LXQt, with an
 emphasis on elegance, usability and practicality.
 .
 This package contain the theme files.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh ${@}
